local monitors = require("level.MonitorLibrary")
local checkpoint = require("level.checkpoint")
local thisObj, thisLevel
local boolBridgeForms = false
function OnScriptLoaded(level, obj)
end
function OnUpdate(level, obj)
end
function OnUseWorld(level, obj)
end
function OnSaveCheckpoint(level, obj)
  local savedInfo = {boolBridgeForms = boolBridgeForms}
  savedInfo.LevelState = checkpoint.Save()
  return savedInfo
end
function OnRestoreCheckpoint(level, obj, savedInfo)
  checkpoint.Restore(savedInfo.LevelState)
  boolBridgeForms = savedInfo.boolBridgeForms
end
function TendrilUnderBridgeFightComplete()
  return game.Level.GetVariable("Encounter370") and game.Level.GetVariable("CompletedCineNumber") < 242
end
